### Function

# JavaScriptCore options_get_string

since: 2.24

#### Declaration [src]

    gboolean
    jsc_options_get_string (
      const char* option,
      char** value
    )

#### Description [src]

Get `option` as a string.

Available since: 2.24

#### Parameters

`option`

  Type: `const char*`

  The option identifier.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `char**`

  Return location for the option value.

  The argument will be set by the function.
  The called function takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `value` has been set or `FALSE` if the option doesn’t exist.